summaryrefslogtreecommitdiffstats
path: root/debian/tests/runtime-libs
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-17 12:22:56 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-17 12:22:56 +0000
commit3f472a4e5ca21e3ddb13737473e636b2b11a408a (patch)
tree7db1ab317884b9f6e04b6e13737c1679879cb97a /debian/tests/runtime-libs
parentAdding upstream version 13.2.0. (diff)
downloadgcc-13-debian.tar.xz
gcc-13-debian.zip
Adding debian version 13.2.0-10.debian/13.2.0-10debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/tests/runtime-libs')
-rwxr-xr-xdebian/tests/runtime-libs29
1 files changed, 29 insertions, 0 deletions
diff --git a/debian/tests/runtime-libs b/debian/tests/runtime-libs
new file mode 100755
index 0000000..b849ae1
--- /dev/null
+++ b/debian/tests/runtime-libs
@@ -0,0 +1,29 @@
+#!/bin/sh
+# autopkgtest check: start a "simple" program and check that
+# dynamic loading of modules works
+
+set -e
+
+
+cd "$AUTOPKGTEST_TMP"
+
+echo "Running exexutable linked with libgcc and libstdc++ (apt)..."
+if [ -x /usr/bin/apt ]; then
+ apt=/usr/bin/apt
+elif [ -x /bin/apt ]; then
+ apt=/bin/apt
+else
+ echo "apt not found"
+ exit 1
+fi
+
+ldd $apt
+apt show libgcc-s1 libstdc++6
+
+echo "Running dynamically linked executable (python3)..."
+python3 -c 'print("Hello World!")'
+echo "OK"
+
+echo "Loading extension module..."
+python3 -c 'import _hashlib; print(_hashlib.__dict__)'
+echo "OK"